This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 148720 - invalid error for generated css rule in JSP embedding
Summary: invalid error for generated css rule in JSP embedding
Status: VERIFIED FIXED
Alias: None
Product: javaee
Classification: Unclassified
Component: JSP (show other bugs)
Version: 6.x
Hardware: Sun All
: P4 blocker (vote)
Assignee: Marek Fukala
URL:
Keywords: SIMPLEFIX
Depends on:
Blocks:
 
Reported: 2008-09-30 10:53 UTC by Jindrich Sedek
Modified: 2009-02-19 23:26 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jindrich Sedek 2008-09-30 10:53:48 UTC
use this code in JSP file:
-----------------------
<style>
    <%= "GENERATED CSS CODE" %>
</style>
-----------------------
invalid error mark is shown in the editor
Comment 1 Marek Fukala 2008-09-30 11:14:03 UTC
CssTemplatedModel virtual source generator issue.
Comment 2 Marek Fukala 2008-09-30 16:06:32 UTC
fixed the main problem - the templating is not underlined as error. There is a remaining issue that if there is only a
templating language in the style the templating is marked as selector, but only partially.

The problem here is with the missing curly brackets. In the css virtual source generator in the described case I do not
repair the code and just leave the GENERATED_CODE; indentifier. The parser however parses the text as a selector and
then the ast node is passed to the CssSemanticAnalyzer. The analyzer computes the real offset range in the document from
the ast offsets but the end offset doesn't fit to the document real end offset since the ast node doesn't contain the
semicolon character.

Leaving the remaining minor problem opened as P4.

changeset:   104550:dda44d2427ef
tag:         tip
user:        Marek Fukala <mfukala@netbeans.org>
date:        Tue Sep 30 16:59:10 2008 +0200
summary:     #148720 - invalid error for generated css rule in JSP embedding
Comment 3 Quality Engineering 2008-10-01 05:57:28 UTC
Integrated into 'main-golden', will be available in build *200810010201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/dda44d2427ef
User: Marek Fukala <mfukala@netbeans.org>
Log: #148720 - invalid error for generated css rule in JSP embedding
Comment 4 Jindrich Sedek 2009-02-19 12:13:41 UTC
marking as fixed.
Comment 5 Jindrich Sedek 2009-02-19 12:14:19 UTC
verified.
NetBeans IDE Dev (Build 200902181412)